| Stan Math Library 2.6.3 probability, sampling & optimization

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros
Namespaces | Functions
to_var.hpp File Reference
`#include <stan/math/prim/mat/fun/Eigen.hpp>`
`#include <stan/math/prim/mat/fun/typedefs.hpp>`
`#include <stan/math/rev/core.hpp>`
`#include <stan/math/rev/mat/fun/typedefs.hpp>`
`#include <vector>`

Go to the source code of this file.

## Namespaces
| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions
var | stan::math::to_var (const double &x)
| Converts argument to an automatic differentiation variable. More...
var | stan::math::to_var (const var &x)
| Converts argument to an automatic differentiation variable. More...
matrix_v | stan::math::to_var (const stan::math::matrix_d &m)
| Converts argument to an automatic differentiation variable. More...
matrix_v | stan::math::to_var (const matrix_v &m)
| Converts argument to an automatic differentiation variable. More...
vector_v | stan::math::to_var (const stan::math::vector_d &v)
| Converts argument to an automatic differentiation variable. More...
vector_v | stan::math::to_var (const vector_v &v)
| Converts argument to an automatic differentiation variable. More...
row_vector_v | stan::math::to_var (const stan::math::row_vector_d &rv)
| Converts argument to an automatic differentiation variable. More...
row_vector_v | stan::math::to_var (const row_vector_v &rv)
| Converts argument to an automatic differentiation variable. More...

[ Stan Home Page ] © 2011–2015, Stan Development Team.